Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.mdr/1 1.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.api.mdr.events
Class ExtentEvent

    java.lang.Object
      java.util.EventObject
          org.netbeans.api.mdr.events.MDRChangeEvent
              org.netbeans.api.mdr.events.ExtentEvent

All Implemented Interfaces:
  Serializable

    public class ExtentEvent

extends MDRChangeEvent

MDR event used for representing events related to lifecycle of package extents in a repository (creation and deletion of extents).

See Also:
  Serialized Form

Field Summary
`static int` | `EVENT_EXTENT_CREATE` Identifier for event type that indicates creation of a new extent in a repository.
`static int` | `EVENT_EXTENT_DELETE` Identifier for event type that indicates an extent is to be/was deleted.
`static int` | `EVENTMASK_EXTENT` Bitmask representing all the events related to extent lifecycle.

Fields inherited from class org.netbeans.api.mdr.events.MDRChangeEvent
`EVENTMASK_ALL, EVENTMASK_ON_ASSOCIATION, EVENTMASK_ON_CLASS, EVENTMASK_ON_INSTANCE, EVENTMASK_ON_PACKAGE, EVENTMASK_ON_REPOSITORY`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ExtentEvent(Object source, int type, String extentName, javax.jmi.reflect.RefObject metaObject, Collection existingExtents)` Creates new ExtentEvent object.
`ExtentEvent(Object source, int type, String extentName, javax.jmi.reflect.RefObject metaObject, Collection existingExtents, boolean empty)`

Method Summary
`Collection` | `getExistingExtents()` Returns collection of existing extents provided to be used for package clustering.
`String` | `getExtentName()` Returns name of deleted/created extent.
`javax.jmi.reflect.RefObject` | `getMetaObject()` Returns metaobject of created/deleted extent.
`boolean` | `isEmpty()` Returns true in the case that the created package is empty.

Methods inherited from class org.netbeans.api.mdr.events.MDRChangeEvent
`getType, isOfType`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### EVENTMASK_EXTENT

    public static final int EVENTMASK_EXTENT

  Bitmask representing all the events related to extent lifecycle.

  See Also:
    Constant Field Values

### EVENT_EXTENT_CREATE

    public static final int EVENT_EXTENT_CREATE

  Identifier for event type that indicates creation of a new extent in a repository.

  See Also:
    Constant Field Values

### EVENT_EXTENT_DELETE

    public static final int EVENT_EXTENT_DELETE

  Identifier for event type that indicates an extent is to be/was deleted.

  See Also:
    Constant Field Values

Constructor Detail

### ExtentEvent

    public ExtentEvent(Object source,
                       int type,
                       String extentName,
                       javax.jmi.reflect.RefObject metaObject,
                       Collection existingExtents)

  Creates new ExtentEvent object.

  Parameters:
    `source` - Event source (MDRepository in case of extent creation, RefPackage in case of extent deletion).
    `type` - Event type.
    `extentName` - Name of created/deleted extent.
    `metaObject` - Metaobject of created/deleted extent or null.
    `existingExtents` - Immutable collection of existing extents that were provided to be used for clustering or null.

### ExtentEvent

    public ExtentEvent(Object source,
                       int type,
                       String extentName,
                       javax.jmi.reflect.RefObject metaObject,
                       Collection existingExtents,
                       boolean empty)

Method Detail

### getExtentName

    public String getExtentName()

  Returns name of deleted/created extent.

  Returns:
    Name of created/deleted extent.

### getMetaObject

    public javax.jmi.reflect.RefObject getMetaObject()

  Returns metaobject of created/deleted extent.

  Returns:
    metaobject of created/deleted extent or null.

### getExistingExtents

    public Collection getExistingExtents()

  Returns collection of existing extents provided to be used for package clustering.

  Returns:
    Collection of extents or null.

### isEmpty

    public boolean isEmpty()

  Returns true in the case that the created package is empty. The false value means that the extent was created by partition mounting.

  Returns:
    boolean

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.mdr/1 1.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.